Package ru.bitel.bgbilling.apps.tv.access.om

# Class AccountOrderEvent

java.lang.Object
ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent
ru.bitel.bgbilling.apps.tv.access.om.AccountOrderEvent

All Implemented Interfaces:
  `ContractIdable`

public class AccountOrderEvent extends AbstractOrderEvent

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AccountOrderEvent.AccountEntry`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVENT_TYPE_ACCOUNT_CREATE`
  `static final int`
  `EVENT_TYPE_ACCOUNT_MODIFY`
  `static final int`
  `EVENT_TYPE_ACCOUNT_OPTIONS_MODIFY`
  `static final int`
  `EVENT_TYPE_ACCOUNT_REMOVE`
  `static final int`
  `EVENT_TYPE_ACCOUNT_STATE_MODIFY`

  ### Fields inherited from class ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent

  `filterByDepends`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountOrderEvent(ru.bitel.bgbilling.apps.tv.access.TvAccess tvAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, TvAccount oldTvAccount, TvAccount newTvAccount, short oldDeviceState, short newDeviceState, Set<Integer> oldDeviceOptionIds, Set<Integer> newDeviceOptionIds, int accessCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AccountOrderEvent.AccountEntry>`
  `getChildrenEntryList()`
  `AccountOrderEvent.AccountEntry`
  `getEntry()`
  `List<ProductEntry>`
  `getFullProductEntryListToEnable()`
  `protected Map<Integer,ProductSpecRuntime>`
  `getFullProductSpecRuntimeMapToEnable()`
  `Set<Integer>`
  `getNewDeviceOptionIds()`
  `short`
  `getNewState()`
  `TvAccount`
  `getNewTvAccount()`
  `Set<Integer>`
  `getOldDeviceOptionIds()`
  `int`
  `getOldState()`
  `TvAccount`
  `getOldTvAccount()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent

  `filterProductSpecByDepends, getContractId, getDeviceOptionIdsToDisable, getDeviceOptionIdsToEnable, getDeviceOptionProductSpecSetToDisable, getDeviceOptionProductSpecSetToEnable, getFullProductEntryList, getFullProductSpecRuntimeSetToEnable, getFullProductSpecSetToEnable, getFullServiceSpecRuntimeSetToEnable, getFullServiceSpecSetToEnable, getFullTvChannelSpecSetToEnable, getNewDeviceOptionProductSpecs, getOldDeviceOptionProductSpecs, getProductSpecList, getProductSpecRuntimeList, getTvAccountChildren, getTvAccountId, getTvAccountRuntime, isFilterByDepends, isOptionsModified, setFilterByDepends, setNewDeviceOptionIds`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EVENT_TYPE_ACCOUNT_CREATE

    public static final int EVENT_TYPE_ACCOUNT_CREATE
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_ACCOUNT_MODIFY

    public static final int EVENT_TYPE_ACCOUNT_MODIFY
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_ACCOUNT_REMOVE

    public static final int EVENT_TYPE_ACCOUNT_REMOVE
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_ACCOUNT_STATE_MODIFY

    public static final int EVENT_TYPE_ACCOUNT_STATE_MODIFY
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_ACCOUNT_OPTIONS_MODIFY

    public static final int EVENT_TYPE_ACCOUNT_OPTIONS_MODIFY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccountOrderEvent

    public AccountOrderEvent(ru.bitel.bgbilling.apps.tv.access.TvAccess tvAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, TvAccount oldTvAccount, TvAccount newTvAccount, short oldDeviceState, short newDeviceState, Set<Integer> oldDeviceOptionIds, Set<Integer> newDeviceOptionIds, int accessCode)

- ## Method Details

  - ### getOldTvAccount

    public TvAccount getOldTvAccount()

  - ### getNewTvAccount

    public TvAccount getNewTvAccount()

  - ### getOldState

    public int getOldState()

  - ### getNewState

    public short getNewState()

  - ### getOldDeviceOptionIds

    public Set<Integer> getOldDeviceOptionIds()
    Overrides:
      `getOldDeviceOptionIds` in class `AbstractOrderEvent`

  - ### getNewDeviceOptionIds

    public Set<Integer> getNewDeviceOptionIds()
    Overrides:
      `getNewDeviceOptionIds` in class `AbstractOrderEvent`

  - ### getEntry

    public AccountOrderEvent.AccountEntry getEntry()

  - ### getChildrenEntryList

    public List<AccountOrderEvent.AccountEntry> getChildrenEntryList()

  - ### getFullProductSpecRuntimeMapToEnable

    protected Map<Integer,ProductSpecRuntime> getFullProductSpecRuntimeMapToEnable() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFullProductSpecRuntimeMapToEnable` in class `AbstractOrderEvent`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullProductEntryListToEnable

    public List<ProductEntry> getFullProductEntryListToEnable() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFullProductEntryListToEnable` in class `AbstractOrderEvent`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`